Bug 967243 - FutureFeature: ausearch to support optional customisation of output to better support it's parsing
FutureFeature: ausearch to support optional customisation of output to better...
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: audit (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Steve Grubb
BaseOS QE Security Team
: FutureFeature
Depends On:
Blocks: 1002711
  Show dependency treegraph
Reported: 2013-05-25 19:17 EDT by Burn Alting
Modified: 2015-09-18 09:52 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-09-18 09:52:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Burn Alting 2013-05-25 19:17:28 EDT
Description of problem:

To better support the centralisation of audit events, we would like ausearch to support the customisation of it's output through configuration.

ausearch is an effective tool to interpret and hence enrich localised numeric entities such as system call names, user identity, etc local audit events prior to their transmission to an independant centralised event repository.

To better support the parsing and stored content in the central repository, we request that ausearch optionally support the ability to customise it's output. For example,
- all date/times are to be generated in configurable forms (epoch, rfc3339, strftime strings)
- all values generated to support embedded ='s either through escaping or surrounding all values in double quotes
- escape or interpret no-printing characters in values
- ensure event records only output single lines (ie translate newlines, carriage returns into \n, \r etc)
- can configure interpreted output dependant on auparse_type (i.e. uid/gid types can return both numeric entity as well as interpreted entity so aid in errant localised account identification).

We can assist in the creation of such modification once a defined set of requirements are agreeed to.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:

Actual results:

Expected results:

Additional info:
Comment 2 RHEL Product and Program Management 2013-10-13 19:32:49 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.
Comment 5 Chris Williams 2015-09-18 09:52:57 EDT
This Bugzilla has been reviewed by Red Hat and is not planned on being addressed in Red Hat Enterprise Linux 6 and therefore will be closed. If this bug is critical to production systems, please contact your Red Hat support representative and provide sufficient business justification.

Note You need to log in before you can comment on or make changes to this bug.